# [REQUIRED] C source file to be converted
files = ['heavy_computations.c']

# [REQUIRED] Folder where the source file can be found by the framework
rootFolder = 'sources'

# Installation folder of the SGX SDK. 
SGX_SDK = '~/sgxsdk'

# [ONLY SERVER, REQUIRED] The SPID is the Intel Service Provider ID, 32-bit hex string unique to the user and used to the server to identify itself to the IAS.(INFO:https://api.portal.trustedservices.intel.com/EPID-attestation)
signerSPID = ''

# [ONLY SERVER, REQUIRED] Subscription key known only to the user(Service Provider) used as credential when starting the attestation process contacting the IAS, 32-bit hex string
iasPrimaryKey = ''

# [ONLY SERVER, REQUIRED] Subscription key known only to the user(Service Provider) used if the primary key fails, 32-bit hex string.
iasSecondaryKey = ''

# [ONLY SERVER, REQUIRED] Folder where the Report Signing CA File (downloadable from https://api.portal.trustedservices.intel.com/EPID-attestation) can be found by the server, loaded before executing the attestation. 
iasReportFilePath = './server_material/IAS_Report_Signing_CA_File.pem' 

# When set to True, the framework will automatically compile the files generated and executes the binary application.
autorun = False

# Allows the client to connect to a different address than localhost ( aka 127.0.0.1 )
serverToConnect = ''

portAttestationProcess = 7777

portServerCS = 65433
#ÐEBUG#
MRENCLAVE = '221120212211202122112021221120'

# In case of attestation failed, the server reacts in a custom way loading the function inside this library( present in this path)
customReaction = "helper","/python/addon_files/"
