#ifndef __SETTINGS__H
#define __SETTINGS__H


/*----------------------------------------------------------------------
 * CA Certificate Bundles
 *----------------------------------------------------------------------
 * The root CA bundle used to validate the IAS server certificate. The
 * default should be correct for Linux.
 *
 * Windows does not use a bundle file natively, but libcurl for Windows
 * does. If you installed libcurl somewhere other than the default
 * path then you will need to change this.
 *
 * These settings are overridden by the -B option to sp
 */

/* Default CA bundle for OpenSSL-based applications */
#define DEFAULT_CA_BUNDLE_LINUX "/etc/ssl/certs/ca-certificates.crt"

/* Default CA bundle file on Windows */
#define DEFAULT_CA_BUNDLE_WIN32	"C:\\Program Files\\cURL\\bin\\curl-ca-bundle.crt"

/* Location of IAS Report Signing CA File*/
#define IAS_REPORT_CA_FILE_LINUX "./server_material/IAS_Report_Signing_CA_File.pem"

#define IAS_PRIMARY_SUBSCRIPTION_KEY ""

#define IAS_SECONDARY_SUBSCRIPTION_KEY ""

#define SPID_SIGNER ""

#define IAS_ON_PRODUCTION 0

#define IAS_API_DEF_VERSION	4
/* Enable libcurl as a user agent */
#define AGENT_LIBCURL 1

/* Enable debugging */
#define DEBUG 1

/* Enable debug messages about Enclave Status*/
#define debug_server_info 1

#endif
